Subject: Need ID on herb from Ghana (nyamkunor?)

From: [email-masked]
Date: 18 Jul 1995 11:30:03 -0700

Date sent:  18-JUL-1995 14:22:10 

	I am doing research with an herb from Ghana that is used for 
hypertension.  It was given to me by a student who has since returned to 
Ghana.  The local name of the herb is "nyamkunur" or "nyamkunor," and it 
may also be know as African mistletoe (though I'm guessing at this last 
bit of info). I need an identification of the herb, and also a source of 
more (it's very interesting).  Any help would be greatly appreciated.  

Sincerely,

Dr. Donald F. Slish
SUNY 
Plattsburgh, NY